/*
 * Copyright 1994-1995 TriloBYTE Software Solutions.
 *
 * Author: Amen Zwa, TriloBYTE.
 */



// static char* sccsid = "XmWidget: %W%\t%G%\tAmen Zwa, TriloBYTE.";



// WSaveAs.h: saveas dialog class



#if !defined(WSAVEAS_H)
#define WSAVEAS_H

#include "WShl.h"
#include "WEtc.h"



enum {
    ia_save_pbtn,
    ia_cancel_pbtn
};



class WSaveAs : public WDialogFile {
    friend void cp_save_sas(Widget w, XtPointer usr, XtPointer wgt);
    friend void cp_cancel_sas(Widget w, XtPointer usr, XtPointer wgt);
public:
    WSaveAs(Widget par);
    ~WSaveAs() { if (fnam) XtFree(fnam); }
    // access functions
    void set_cp_activate(XtCallbackProc c, XtPointer u=0) {
	cp = c; usrdata = u; }
    void set_prompt(const char* s);
    void set_filename(const char* dn, const char* fn);
};

#endif	// WSAVEAS_H
